HTTPClientWrapper.h File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <memory.h>`
`#include <stdio.h>`
`#include <ctype.h>`
`#include <time.h>`

Go to the source code of this file.

## Macros

#define | _HTTP_BUILD_WIN32
#define | HTTP_ECONNRESET (WSAECONNRESET)
#define | HTTP_EINPROGRESS (WSAEINPROGRESS)
#define | HTTP_EWOULDBLOCK (WSAEWOULDBLOCK)
#define | IToA HTTPWrapperItoa
#define | GetUpTime HTTPWrapperGetUpTime
#define | SocketGetErr HTTPWrapperGetSocketError
#define | HostByName HTTPWrapperGetHostByName
#define | InitRandomeNumber HTTPWrapperInitRandomeNumber
#define | GetRandomeNumber HTTPWrapperGetRandomeNumber
#define | VOID void
#define | NULL 0
#define | TRUE 1
#define | FALSE 0
#define | HTTP_INVALID_SOCKET (-1)

## Typedefs

typedef unsigned int | UINT32
typedef int | INT32
typedef char | CHAR
typedef unsigned short | UINT16
typedef int | BOOL
typedef unsigned long | ULONG
typedef struct sockaddr_in | HTTP_SOCKADDR_IN
typedef struct timeval | HTTP_TIMEVAL
typedef struct hostent | HTTP_HOSTNET
typedef struct sockaddr | HTTP_SOCKADDR
typedef struct in_addr | HTTP_INADDR

## Functions

int | HTTPWrapperIsAscii (int c)
int | HTTPWrapperToUpper (int c)
int | HTTPWrapperToLower (int c)
int | HTTPWrapperIsAlpha (int c)
int | HTTPWrapperIsAlNum (int c)
char * | HTTPWrapperItoa (char *buff, int i)
void | HTTPWrapperInitRandomeNumber ()
long | HTTPWrapperGetUpTime ()
int | HTTPWrapperGetRandomeNumber ()
int | HTTPWrapperGetSocketError (int s)
unsigned long | HTTPWrapperGetHostByName (char *name, unsigned long *address)
int | HTTPWrapperShutDown (int s, int in)
int | HTTPWrapperSSLConnect (int s, const struct sockaddr *name, int namelen, char *hostname)
int | HTTPWrapperSSLNegotiate (int s, const struct sockaddr *name, int namelen, char *hostname)
int | HTTPWrapperSSLSend (int s, char *buf, int len, int flags)
int | HTTPWrapperSSLRecv (int s, char *buf, int len, int flags)
int | HTTPWrapperSSLClose (int s)
int | HTTPWrapperSSLRecvPending (int s)

## Macro Definition Documentation

## _HTTP_BUILD_WIN32

#define _HTTP_BUILD_WIN32

## FALSE

#define FALSE 0

## GetRandomeNumber

#define GetRandomeNumber HTTPWrapperGetRandomeNumber

## GetUpTime

#define GetUpTime HTTPWrapperGetUpTime

## HostByName

#define HostByName HTTPWrapperGetHostByName

## HTTP_ECONNRESET

#define HTTP_ECONNRESET (WSAECONNRESET)

## HTTP_EINPROGRESS

#define HTTP_EINPROGRESS (WSAEINPROGRESS)

## HTTP_EWOULDBLOCK

#define HTTP_EWOULDBLOCK (WSAEWOULDBLOCK)

## HTTP_INVALID_SOCKET

#define HTTP_INVALID_SOCKET (-1)

## InitRandomeNumber

#define InitRandomeNumber HTTPWrapperInitRandomeNumber

## IToA

#define IToA HTTPWrapperItoa

## NULL

#define NULL 0

Referenced by ZenLib::BitStream::BitStream(), ZenLib::BitStream_Fast::BitStream_Fast(), ZenLib::BitStream_LE::BitStream_LE(), and ZenLib::BitStream_LE::Get().

## SocketGetErr

#define SocketGetErr HTTPWrapperGetSocketError

## TRUE

#define TRUE 1

## VOID

#define VOID void

Referenced by HTTPClientReadData(), HTTPClientSendRequest(), HTTPClientWriteData(), and HTTPIntrnSessionGetUpTime().

## Typedef Documentation

## BOOL

typedef int BOOL

## CHAR

typedef char CHAR

## HTTP_HOSTNET

typedef struct hostent HTTP_HOSTNET

## HTTP_INADDR

typedef struct in_addr HTTP_INADDR

## HTTP_SOCKADDR

typedef struct sockaddr HTTP_SOCKADDR

## HTTP_SOCKADDR_IN

typedef struct sockaddr_in HTTP_SOCKADDR_IN

## HTTP_TIMEVAL

typedef struct timeval HTTP_TIMEVAL

## INT32

typedef int INT32

## UINT16

typedef unsigned short UINT16

## UINT32

typedef unsigned int UINT32

## ULONG

typedef unsigned long ULONG

## Function Documentation

## HTTPWrapperGetHostByName()

unsigned long HTTPWrapperGetHostByName | ( | char * | name,
|  | unsigned long * | address )

## HTTPWrapperGetRandomeNumber()

int HTTPWrapperGetRandomeNumber | ( |  | ) |

## HTTPWrapperGetSocketError()

int HTTPWrapperGetSocketError | ( | int | s | ) |

## HTTPWrapperGetUpTime()

long HTTPWrapperGetUpTime | ( |  | ) |

## HTTPWrapperInitRandomeNumber()

void HTTPWrapperInitRandomeNumber | ( |  | ) |

## HTTPWrapperIsAlNum()

int HTTPWrapperIsAlNum | ( | int | c | ) |

## HTTPWrapperIsAlpha()

int HTTPWrapperIsAlpha | ( | int | c | ) |

## HTTPWrapperIsAscii()

int HTTPWrapperIsAscii | ( | int | c | ) |

## HTTPWrapperItoa()

char * HTTPWrapperItoa | ( | char * | buff,
|  | int | i )

## HTTPWrapperShutDown()

int HTTPWrapperShutDown | ( | int | s,
|  | int | in )

## HTTPWrapperSSLClose()

int HTTPWrapperSSLClose | ( | int | s | ) |

## HTTPWrapperSSLConnect()

int HTTPWrapperSSLConnect | ( | int | s,
|  | const struct sockaddr * | name,
|  | int | namelen,
|  | char * | hostname )

## HTTPWrapperSSLNegotiate()

int HTTPWrapperSSLNegotiate | ( | int | s,
|  | const struct sockaddr * | name,
|  | int | namelen,
|  | char * | hostname )

## HTTPWrapperSSLRecv()

int HTTPWrapperSSLRecv | ( | int | s,
|  | char * | buf,
|  | int | len,
|  | int | flags )

## HTTPWrapperSSLRecvPending()

int HTTPWrapperSSLRecvPending | ( | int | s | ) |

## HTTPWrapperSSLSend()

int HTTPWrapperSSLSend | ( | int | s,
|  | char * | buf,
|  | int | len,
|  | int | flags )

## HTTPWrapperToLower()

int HTTPWrapperToLower | ( | int | c | ) |

## HTTPWrapperToUpper()

int HTTPWrapperToUpper | ( | int | c | ) |